お知らせ

  • 利用規約を守って投稿してください。また、よくある質問および投稿の手引きも参照してください。
  • メッセージの投稿にはアカウントが必要です。未登録の方は、ユーザ登録ページからアカウントを作成することができます。

#1 2009-06-05 09:09:11

masatatsu
新しいメンバ
登録日: 2009-06-05

9.04 アップデートでエラーが発生します。

以下エラーメッセージ:

パッケージ情報を初期化できませんでした

パッケージ情報を初期化している最中に解決できない問題が発生しました.

次のエラーメッセージを含めて'update-manager'パッケージに対して次のバグを報告してください:

'E:パッケージファイル /var/lib/apt/lists/archive.ubuntu.com_ubuntu_dists_jaunty-updates_main_binary-i386_Packages を解釈することができません (1), E:パッケージリストまたはステータスファイルを解釈またはオープンすることができません。'



解決方法が分かりません。
アドバイスをお願いします。

オフライン

 

#2 2009-06-05 13:26:54

petitbootang
メンバ
From: 東京都
登録日: 2009-02-12

Re: 9.04 アップデートでエラーが発生します。

STGSAGWAN さんのこちらの手法が使えそうですが・・・。
https://forums.ubuntulinux.jp/viewtopic.php?pid=29197#p29197

オフライン

 

#3 2009-06-05 22:03:30

masatatsu
新しいメンバ
登録日: 2009-06-05

Re: 9.04 アップデートでエラーが発生します。

返信ありがとうございます。

petitbootang による投稿:

STGSAGWAN さんのこちらの手法が使えそうですが・・・。
https://forums.ubuntulinux.jp/viewtopic.php?pid=29197#p29197

以下のコマンドを実行した結果

sudo mv /var/lib/apt/lists/archive.ubuntu.com_ubuntu_dists_jaunty-updates_main_binary-i386_Packages{,.bak}
sudo apt-get check
パッケージリストを読み込んでいます... エラー!
E: Encountered a section with no Package: header
E: Problem with MergeList /var/lib/apt/lists/archive.ubuntu.com_ubuntu_dists_jaunty-updates_universe_binary-i386_Packages
E: パッケージリストまたはステータスファイルを解釈またはオープンすることができません。

上記の要になり、同じように
/var/lib/apt/lists/archive.ubuntu.com_ubuntu_dists_jaunty-updates_universe_binary-i386_Packages
/var/lib/apt/lists/archive.ubuntu.com_ubuntu_dists_jaunty-updates_multiverse_binary-i386_Packages
/var/lib/apt/lists/archive.ubuntu.com_ubuntu_dists_jaunty-security_main_binary-i386_Packages
/var/lib/apt/lists/archive.ubuntu.com_ubuntu_dists_jaunty-security_universe_binary-i386_Packages

の4つのファイルもリネームすることで解決しました。
しかし、apt-get updateを実行すると

W: GPG error: http://archive.ubuntu.com jaunty-security Release: 以下の署名が無効です: BADSIG 40976EAF437D05B5 Ubuntu Archive Automatic Signing Key <ftpmaster@ubuntu.com>
W: これらの問題を解決するためには apt-get update を実行する必要があるかもしれません

とエラーが出てしまいました。

オフライン

 

#4 2009-06-05 23:02:46

hir0
メンバ
登録日: 2008-09-28

Re: 9.04 アップデートでエラーが発生します。

作り直しましょう。
端末から一行ずつ実行してください。
$ cd /var/lib/apt
$ mv lists lists.bk
$ sudo mkdir -p lists/partial
$ sudo apt-get clean
$ sudo apt-get update

これでクリーン?な状態(リセット)だとおもうのですが、その後の状況の確認を。

あっ、リポジトリに標準でない追加の物が有れば削除かチェックを外してから実行して下さい。

オフライン

 

#5 2009-06-05 23:50:09

masatatsu
新しいメンバ
登録日: 2009-06-05

Re: 9.04 アップデートでエラーが発生します。

hir0さん

解決しました。
ありがとうございます。

オフライン

 

#6 2009-06-06 00:10:47

hir0
メンバ
登録日: 2008-09-28

Re: 9.04 アップデートでエラーが発生します。

解決してなによりです。ググった結果この様な対処法を見つけましたので
#4 と共に後から来る人の参考に書き込んでおきます。

1、設定ファイルを作る。
        or
2、apt-get updateにオプションを付ける。

1)$ sudo gedit /etc/apt/apt.conf.d/10broken_proxy
次の2行を書いて保存

Acquire::http::No-Cache "true";
Acquire::http::Max-Age "0";

$ sudo apt-get update

--------------------------------

2)オプションを付ける。

$ sudo apt-get update -o Acquire::http::No-Cache=True

オフライン

 

#7 2010-01-26 23:05:35

fjs
メンバ
登録日: 2008-05-27

Re: 9.04 アップデートでエラーが発生します。

最近、アップデートマネージャで、次のようなエラーが出ていました。
-------------------------------------------------------------------------------------------------------------------------------------
W: A error occurred during the signature verification. The repository is not updated and the previous index files will be used.GPG error: http://archive.ubuntulinux.jp karmic-non-free/ Release: 以下の署名が無効です: BADSIG 058A05E90C4ECFEC Ubuntu-ja Archive Automatic Signing Key <archive@ubuntulinux.jp>

W: http://archive.ubuntulinux.jp/ubuntu-ja/karmic-non-free/Release の取得に失敗しました 

W: いくつかのインデックスファイルのダウンロードに失敗しました。これらは無視されるか、古いものが代わりに使われます。
-------------------------------------------------------------------------------------------------------------------------------------
で、ちょっと古いスレッドなのですが、ここの#4を行ったところ、解決しました。
(というか、エラーが出なくなった。このエラーはあまり深刻なものではないようですが)
少しメッセージが違っているので、一応、報告しておきます。
なお、マシンは、9.04ではなく9.10で、クリーンインストールしたものです。
hir0さんありがとうございます。

オフライン

 

#8 2010-01-26 23:56:16

STGSAGWAN
メンバ
登録日: 2008-11-12

Re: 9.04 アップデートでエラーが発生します。

#7のfjsさん

そのメッセージは「エラー」ではないです。
この場合、メッセージの頭の「W:」は警告(Warning)を表します。
逆に、頭に「E:」はエラー(Error)を表します。
用語や認識を正しく使い分けるとより望ましいと思われます。

オフライン

 

Board footer

Powered by FluxBB